View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
18153Bug reportsStatisticspublic2022-06-27 14:03
Reporteroriolf Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version5.3.x 
Summary18153: "Export this question to PDF" button in View Statistics - HTML does nothing
Description

When in the statistics page of a survey, if you click "View statistics" after selecting the HTML Output format and some questions in the "Response filters", some graphs appear in the page. Some boxes show with the results for each question, and each one has a "Export this question to PDF" button. When clicked, the page reloads but nothing else happens.

Steps To Reproduce

Steps to reproduce

  • Create a survey with some questions.
  • Answer the survey so there is some data.
  • Go to Statistics and select HTML output, click "View statistics"
  • Click the "Export this question to PDF" button in some question's box.

Expected result

After the loading, a file should be available for download.

Actual result

Page reloads and no file shows for download.

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)Version 5.3.17+220525
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMysql 8.0.29
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2022-06-03 19:55

manager   ~70219

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2457

In LTS the form was spanning only the first two panels (those with filters).
In master it also covers the results panel.

So now the individual export buttons are inside the form, and they end up triggering the general form submit.

gabrieljenik

gabrieljenik

2022-06-21 00:35

manager   ~70421

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33587

gabrieljenik

gabrieljenik

2022-06-21 20:58

manager   ~70461

Merged

LimeBot

LimeBot

2022-06-27 14:03

administrator   ~70556

Fixed in Release 5.3.22+220628

Related Changesets

LimeSurvey: master baf7a273

2022-06-20 23:58:02

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 18153: 'Export this question to PDF' button in View Statistics - HTML does nothing (#2457)

Dev: Charts or not
Affected Issues
18153
mod - application/views/admin/export/generatestats/_statisticsoutput_graphs.php Diff File
mod - application/views/admin/export/generatestats/_statisticsoutput_header.php Diff File

Issue History

Date Modified Username Field Change
2022-05-25 16:24 oriolf New Issue
2022-05-26 20:44 gabrieljenik Assigned To => gabrieljenik
2022-05-26 20:44 gabrieljenik Status new => ready for code review
2022-05-26 20:44 gabrieljenik Status ready for code review => new
2022-05-31 20:42 gabrieljenik Status new => confirmed
2022-06-03 19:55 gabrieljenik Status confirmed => ready for code review
2022-06-03 19:55 gabrieljenik Note Added: 70219
2022-06-03 19:55 gabrieljenik Bug heat 0 => 2
2022-06-21 00:35 gabrieljenik Changeset attached => LimeSurvey master baf7a273
2022-06-21 00:35 gabrieljenik Note Added: 70421
2022-06-21 00:35 gabrieljenik Resolution open => fixed
2022-06-21 20:58 gabrieljenik Status ready for code review => resolved
2022-06-21 20:58 gabrieljenik Note Added: 70461
2022-06-27 14:03 LimeBot Note Added: 70556
2022-06-27 14:03 LimeBot Status resolved => closed
2022-06-27 14:03 LimeBot Bug heat 2 => 4